Package icyllis.modernui.transition

# Class AutoTransition

java.lang.Object
icyllis.modernui.transition.Transition
icyllis.modernui.transition.TransitionSet
icyllis.modernui.transition.AutoTransition

All Implemented Interfaces:
  `Cloneable`

public class AutoTransition extends TransitionSet
Utility class for creating a default transition that automatically fades, moves, and resizes views during a scene change.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class icyllis.modernui.transition.Transition

  `Transition.EpicenterCallback, Transition.MatchOrder`

- ## Field Summary

  ### Fields inherited from class icyllis.modernui.transition.TransitionSet

  `ORDERING_SEQUENTIAL, ORDERING_TOGETHER`

  ### Fields inherited from class icyllis.modernui.transition.Transition

  `MATCH_ID, MATCH_INSTANCE, MATCH_ITEM_ID, MATCH_NAME`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AutoTransition()`
  Constructs an AutoTransition object, which is a TransitionSet which first fades out disappearing targets, then moves and resizes existing targets, and finally fades in appearing targets.

- ## Method Summary

  ### Methods inherited from class icyllis.modernui.transition.TransitionSet

  `addListener, addTarget, addTarget, addTarget, addTarget, addTransition, cancel, captureEndValues, captureStartValues, clone, createAnimators, excludeTarget, excludeTarget, excludeTarget, excludeTarget, getOrdering, getTransitionAt, getTransitionCount, pause, removeListener, removeTarget, removeTarget, removeTarget, removeTarget, removeTransition, resume, runAnimators, setDuration, setEpicenterCallback, setInterpolator, setOrdering, setPropagation, setStartDelay`

  ### Methods inherited from class icyllis.modernui.transition.Transition

  `animate, createAnimator, end, excludeChildren, excludeChildren, excludeChildren, getDuration, getEpicenter, getEpicenterCallback, getInterpolator, getName, getPropagation, getStartDelay, getTargetIds, getTargetNames, getTargets, getTargetTypes, getTransitionProperties, getTransitionValues, isTransitionRequired, setMatchOrder, start, toString`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AutoTransition

    public AutoTransition()
    Constructs an AutoTransition object, which is a TransitionSet which first fades out disappearing targets, then moves and resizes existing targets, and finally fades in appearing targets.